Bug 834128 - session close in pam is not triggered by a logout
session close in pam is not triggered by a logout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 18:38 EDT by Fernando Lopez-Lezcano
Modified: 2013-08-01 02:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:42:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Lopez-Lezcano 2012-06-20 18:38:18 EDT
Description of problem:

I'm trying to use pam_script with a normal gnome-shell gdm login manager. A graphical login triggers pam_script correctly, a subsequent logout from the session does NOT trigger pam_script at all (I'm including pam_script.so at the end of postlogin in /etc/pam.d/). 

On the other hand an ssh login triggers both the open and close session scripts (ie: this is not a fault in pam_script itself). 

Version-Release number of selected component (if applicable):
gnome-shell 3.4.1-5

How reproducible:
Always

Steps to Reproduce:
1. install pam_script
2. drop appropriately named scripts in /etc/pam-scripts.d/
3. login using gdm (actually gnome-shell's gdm)
4. session open script is triggered
5. logout from the gnome-shell session
6. the session close in pam_script is not triggered
  
Actual results:
Logins through gdm trigger only the session open script in pam_script. 

Expected results:
Logins through gdm should trigger both the session open and session close scripts inpam_script. 

Additional info:
This is needed to replace the previous features of gdm that are no longer there, ie: the Post* directories in /etc/gdm/ that enabled running scripts on login, logout, etc. I have already lost several days in this very very frustrating quest to be able to do, somehow, what was easy before (first trying to get a handle on gnome-shell, then on systemd and dbus, then on pam, and so on and so forth, a never ending quest that leads nowhere, so far).
Comment 1 Fernando Lopez-Lezcano 2012-06-21 21:29:30 EDT
(In reply to comment #0)
> Description of problem:
> 
> I'm trying to use pam_script with a normal gnome-shell gdm login manager. A
> graphical login triggers pam_script correctly, a subsequent logout from the
> session does NOT trigger pam_script at all (I'm including pam_script.so at
> the end of postlogin in /etc/pam.d/). 

Not a bug, it was an incomplete configuration of pam.
Comment 2 Fedora End Of Life 2013-07-03 21:48:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 02:42:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.